- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.InterconnectsGetMacsecConfigResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.InterconnectsGetMacsecConfigResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnects/getMacsecConfig#try-it)

Returns the `interconnectMacsecConfig` for the specified Interconnect.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/interconnects/{interconnect}/getMacsecConfig`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `interconnect` | `string` Name of the interconnect resource to query. |

### Request body

The request body must be empty.

### Response body

Response for the InterconnectsGetMacsecConfigRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": { "preSharedKeys": [ { "name": string, "ckn": string, "cak": string, "startTime": string } ] }, "etag": string } ``` |

| Fields ||
|---|---|
| `result` | `object` |
| `result.preSharedKeys[]` | `object` A keychain placeholder describing a set of named key objects along with their start times. A MACsec CKN/CAK is generated for each key in the key chain. Google router automatically picks the key with the most recent startTime when establishing or re-establishing a MACsec secure link. |
| `result.preSharedKeys[].name` | `string` User provided name for this pre-shared key. |
| `result.preSharedKeys[].ckn` | `string` An auto-generated Connectivity Association Key Name (CKN) for this key. |
| `result.preSharedKeys[].cak` | `string` An auto-generated Connectivity Association Key (CAK) for this key. |
| `result.preSharedKeys[].startTime` | `string` User provided timestamp on or after which this key is valid. |
| `etag` | `string` end_interface: MixerGetResponseWithEtagBuilder |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.interconnects.getMacsecConfig`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).